Bug 1274215 - (CVE-2011-5325) CVE-2011-5325 busybox: Path traversal via crafted tar file containing symlink
CVE-2011-5325 busybox: Path traversal via crafted tar file containing symlink
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151020,repor...
: Security
Depends On: 1274227
Blocks: 1274216
  Show dependency treegraph
 
Reported: 2015-10-22 05:40 EDT by Adam Mariš
Modified: 2015-12-01 06:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 06:39:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-22 05:40:29 EDT
A path traversal vulnerability was found in Busybox implementation of tar. tar will extract a symlink that points outside of the current working directory and then follow that symlink when extracting other files. This allows for a directory traversal attack when extracting untrusted tarballs.

Reproducer:

http://git.busybox.net/busybox/commit/?id=a116552869db5e7793ae10968eb3c962c69b3d8c

CVE assignment:

http://seclists.org/oss-sec/2015/q4/121
Comment 1 Adam Mariš 2015-10-22 06:06:07 EDT
Created busybox tracking bugs for this issue:

Affects: fedora-all [bug 1274227]
Comment 2 Martin Prpič 2015-10-23 03:07:36 EDT
Upstream bug:

https://bugs.busybox.net/8411
Comment 3 Tomas Hoger 2015-12-01 06:39:46 EST
The busybox packages are shipped in Red Hat Enterprise Linux 6 and earlier.  However, they have a rather narrow use case that does not expose this flaw.  Even when busybox packages are installed, there's no 'tar' symlinks created for user to accidentally use busybox version instead of the one provided by the tar packages.  Users would have to explicitly execute "busybox tar" to use it, or create their own symlink.

Therefore, there's currently no plan to backport a fix for this issue to already released Red Hat Enterprise Linux versions.

Note You need to log in before you can comment on or make changes to this bug.